### Method

# FwupdPlugin Context get_bios_setting

#### Declaration [src]

    FwupdBiosSetting*
    fu_context_get_bios_setting (
      FuContext* self,
      const gchar* name
    )

#### Description [src]

Finds out if a system supports a given BIOS setting.

Available since: | 1.8.4

#### Parameters

`name` | `const gchar*`
| A BIOS setting title, e.g. `BootOrderLock`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdBiosSetting`
| `FwupdBiosSetting` if the attr exists.
| The data is owned by the instance.